MeltingLayout.ComponentGroupType
Date: 2014-08-08

meltinggui

## Enum MeltingLayout.ComponentGroupType

- java.lang.Object
- - java.lang.Enum<MeltingLayout.ComponentGroupType>
  - - meltinggui.MeltingLayout.ComponentGroupType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MeltingLayout.ComponentGroupType>
  Enclosing class:
    MeltingLayout

      public static enum MeltingLayout.ComponentGroupType
      extends java.lang.Enum<MeltingLayout.ComponentGroupType>

  The two possible component groups: Label group and Input group.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INPUT_GROUP`
    `LABEL_GROUP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MeltingLayout.ComponentGroupType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MeltingLayout.ComponentGroupType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LABEL_GROUP

          public static final MeltingLayout.ComponentGroupType LABEL_GROUP

    - #### INPUT_GROUP

          public static final MeltingLayout.ComponentGroupType INPUT_GROUP

  - ### Method Detail

    - #### values

          public static MeltingLayout.ComponentGroupType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MeltingLayout.ComponentGroupType c : MeltingLayout.ComponentGroupType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MeltingLayout.ComponentGroupType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null